"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MoreMenuSection = void 0;

var _preact = require("preact");

var _section = _interopRequireDefault(require("./section"));

var _componentCode = _interopRequireDefault(require("./component-code"));

var _moreMenu = require("../more-menu");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const MoreMenuSection = () => (0, _preact.h)(_section.default, {
  title: "MoreMenu"
}, (0, _preact.h)(_componentCode.default, {
  name: "MoreMenu",
  code: "<div className='flex items-center justify-between br2 ba b--gray pa2'>\n  <div>hi</div>\n  <MoreMenu\n    data-e2e='moremenu'\n    color='dark-gray'\n    size={32}\n    items={[\n      <MoreMenuItem key='one'>thing 1</MoreMenuItem>,\n      <MoreMenuSeparator key='sep' />,\n      <MoreMenuItem key='other'>thing 2</MoreMenuItem>,\n    ]}\n  />\n</div>"
}, (0, _preact.h)("div", {
  className: "flex items-center justify-between br2 ba b--gray pa2"
}, (0, _preact.h)("div", null, "hi"), (0, _preact.h)(_moreMenu.MoreMenu, {
  "data-e2e": "moremenu",
  color: "dark-gray",
  size: 32,
  items: [(0, _preact.h)(_moreMenu.MoreMenuItem, {
    key: "one"
  }, "thing 1"), (0, _preact.h)(_moreMenu.MoreMenuSeparator, {
    key: "sep"
  }), (0, _preact.h)(_moreMenu.MoreMenuItem, {
    key: "other"
  }, "thing 2")]
}))));

exports.MoreMenuSection = MoreMenuSection;