"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getStandardHeaders = void 0;

/**
 * @param {{
 *   tabId: string
 *   appName: string
 *   appVersion: string
 * }} opts
 * @returns {{
 *   ['x-chart-tab-id']: string
 *   ['x-chart-app']: string
 *   ['x-chart-version']: string
 * }}
 */
const getStandardHeaders = opts => ({
  ["x-chart-tab-id"]: opts.tabId,
  ["x-chart-app"]: opts.appName,
  ["x-chart-version"]: opts.appVersion
});

exports.getStandardHeaders = getStandardHeaders;